commit eaf58ac6d2a16c5916b72dcc591aa9f5b0380e8c
Author: Romuald <devnull@localhost>
Date:   Wed Nov 26 21:27:23 2008 +0100

    Page d'administration des championnats.

diff --git a/admin/admin.php b/admin/admin.php
new file mode 100644
index 0000000..502c415
--- /dev/null
+++ b/admin/admin.php
@@ -0,0 +1,364 @@
+<?php
+/*
+ * admin.php - Administration du championnat
+ * Copyright (C) 2008 Romuald DELAVERGNE  <delavergne@free.fr>
+ *
+ * This source code is licensed under the GNU General Public License,
+ * Version 2.  See the file COPYING for more details.
+ */
+	
+	require_once 'zip.lib.php';
+
+	if (basename(dirname($_SERVER['PHP_SELF'])) == "admin")
+		require_once '../functions.php';
+	else
+		require_once 'functions.php';
+
+	/*
+	echo "<pre>\n";
+	print_r($_POST);
+	echo "</pre>\n";
+	*/
+
+	// Données reçues par l'index ou cette page
+	$championnat = $_POST['championnat'];
+	if ($championnat == "ajouter un championnat") $championnat = "ajouter";
+	if ($_POST['validation_championnat'] == "ajouter") $championnat = "validation_ajouter";
+	if ($_POST['validation_championnat'] == "modifier") $championnat = "validation_modifier";
+
+	if (isset($_POST['rencontre-ajouter'])) {
+		$rencontre = "ajouter";
+	} else {
+		$vars = preg_grep("/^rencontre-/", array_keys($_POST));
+		if ($vars) {
+			$rencontre = $_POST[current($vars)];
+			$rencontreId = current($vars);
+		}
+	}
+	if ($_POST['validation_rencontre'] == "ajouter") $rencontre = "validation_ajouter";
+	if ($_POST['validation_rencontre'] == "modifier") $rencontre = "validation_modifier";
+
+	$equipes = get_magic_quotes_gpc() ? stripslashes($_POST['equipes']) : $_POST['equipes'];
+	$journee = get_magic_quotes_gpc() ? stripslashes($_POST['journee']) : $_POST['journee'];
+	$domicile = get_magic_quotes_gpc() ? stripslashes($_POST['domicile']) : $_POST['domicile'];
+	$visiteur = get_magic_quotes_gpc() ? stripslashes($_POST['visiteur']) : $_POST['visiteur'];
+	$ptsDom = get_magic_quotes_gpc() ? stripslashes($_POST['ptsDom']) : $_POST['ptsDom'];
+	$ptsVis = get_magic_quotes_gpc() ? stripslashes($_POST['ptsVis']) : $_POST['ptsVis'];
+	$scoreDom = get_magic_quotes_gpc() ? stripslashes($_POST['scoreDom']) : $_POST['scoreDom'];
+	$scoreVis = get_magic_quotes_gpc() ? stripslashes($_POST['scoreVis']) : $_POST['scoreVis'];
+
+	$message = "";
+
+	if ($_POST['saison'] && $_POST['div1']) {
+		$champPath = $_POST['saison']."/".$_POST['div1'];
+		if ($_POST['div2']) $champPath .= $SEP_DIV.$_POST['div2'];
+		if ($_POST['poule'] || $_POST['phase']) $champPath .= "/";
+		if ($_POST['poule']) $champPath .= $_POST['poule'];
+		if ($_POST['phase']) $champPath .= $SEP_DIV.$_POST['phase'];
+		$path = ((IamAdmin()) ? "../datas" : "datas")."/$champPath";
+	} else {
+		$message = "Donn&eacute;es manquantes !";
+	}
+
+	if ($_POST['exporter-tout'] == "tout exporter") {
+		$zip = new zipfile();
+		backup($zip, "../datas", "datas");
+		$archive = $zip->file();
+		header("Content-Type: application/x-zip");
+		header("Content-Disposition: inline; filename=datas-".date("Y-m-d").".zip");
+		echo $archive;
+		exit;
+	} elseif ($_POST['importer-tout'] == "tout importer") {
+		$message = "pas impl&eacute;ment&eacute;.";
+	} elseif ($_POST['supprimer-tout'] == "tout supprimer") {
+		$message = "pas impl&eacute;ment&eacute;.";
+	}
+
+	if ($path) {
+		//echo "<p>path=$path.</p>\n";
+		switch ($championnat) {
+			case "modifier":
+				if (file_exists("$path/equipes")) {
+					$equipes = file_get_contents("$path/equipes");
+				}
+				break;
+			case "validation_ajouter":
+				if (!file_exists($path)) {
+					mkdirRecursive($path);
+					file_put_contents("$path/equipes", $equipes);
+					$message = "Le championnat a &eacute;t&eacute; ajout&eacute;.";
+				} else {
+					$message = "Le championnat existe d&eacute;j&agrave; !";
+				}
+				break;
+			case "validation_modifier":
+				file_put_contents("$path/equipes", $equipes);
+				$message = "Le championnat a &eacute;t&eacute; mis à jour.";
+				break;
+			case "supprimer":
+				// Suppression de tous les fichiers du répertoire
+				if ($dir = opendir($path)) {
+					while (($file = readdir($dir)) !== FALSE) {
+						if (is_file("$path/$file")) unlink("$path/$file");
+					}
+					closedir($dir);
+				}
+				// Suppression du maximum de répertoires
+				while (isEmptyDir($path) && basename($path) != "datas") {
+					monRmdir($path);
+					$path = dirname($path);
+				}
+				$message = "Le championnat a &eacute;t&eacute; supprim&eacute;.";
+				break;
+			case "exporter":
+				$filename = $_POST['saison']."-".$_POST['div1'];
+				if ($_POST['div2']) $filename .= $_POST['div2'];
+				if ($_POST['poule'] || $_POST['phase']) $filename .= "-";
+				if ($_POST['poule']) $filename .= $_POST['poule'];
+				if ($_POST['phase']) $filename .= $_POST['phase'];
+				$zip = new zipfile();
+				backup($zip, $path, "datas/$champPath");
+				$archive = $zip->file();
+				header("Content-Type: application/x-zip");
+				header("Content-Disposition: inline; filename=datas-$filename.zip");
+				echo $archive;
+				exit;
+				break;
+		}
+		switch ($rencontre) {
+			case "ajouter":
+				$equipes = getEquipes($path);
+				break;
+			case "modifier":
+				$equipes = getEquipes($path);
+				list($prefix, $journee, $domicile, $visiteur) = explode("-", $rencontreId);
+				$file = "$path/match-".$journee."-".$domicile."-".$visiteur;
+				if (file_exists($file)) {
+					$resu = file_get_contents($file);
+					list($ptsDom, $ptsVis, $scoreDom, $scoreVis) = explode(":", $resu);
+				}
+				break;
+			case "validation_ajouter":
+				if ($journee == "" || $domicile == "" || $visiteur == "") {
+					$message = "Vous devez saisir le num&eacute;ro de la journ&eacute;e, l'&eacute;quipe qui re&ccedil;oit et qui se d&eacute;place !";
+				} else {
+					$file = "$path/match-".$journee."-".$domicile."-".$visiteur;
+					if (!file_exists($file)) {
+						file_put_contents($file, $ptsDom.":".$ptsVis.":".$scoreDom.":".$scoreVis);
+						$message = "La nouvelle rencontre a &eacute;t&eacute; ajout&eacute;e.";
+					} else {
+						$message = "La rencontre existe d&eacute;j&agrave; !";
+					}
+				}
+				break;
+			case "validation_modifier":
+				$file = "$path/match-".$journee."-".$domicile."-".$visiteur;
+				file_put_contents($file, $ptsDom.":".$ptsVis.":".$scoreDom.":".$scoreVis);
+				$message = "La rencontre a &eacute;t&eacute; mise à jour.";
+				break;
+			case "supprimer":
+				list($prefix, $journee, $domicile, $visiteur) = explode("-", $rencontreId);
+				$file = "match-".$journee."-".$domicile."-".$visiteur;
+				if (file_exists("$path/$file")) {
+					unlink("$path/$file");
+					$message = "La rencontre a &eacute;t&eacute; supprim&eacute;e.";
+				}
+				break;
+		}
+	}
+?>
+<html>
+<head>
+	<title>Administration</title>
+	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+	<meta http-equiv="Content-language" content="fr" />
+	<meta name="copyright" content="Tous droits réservés - All Rights Reserved" />
+	<meta name="author" content="Romuald DELAVERGNE">
+</head>
+<html>
+<body>
+<?php if ($championnat == "ajouter" || $championnat == "modifier" ) { ?>
+	<form name="admin" method="post" action="<?=$_SERVER['PHP_SELF']?>">
+		<table border="0">
+			<tr>
+				<td>Saison</td>
+				<td>
+					: 
+<?php if ($championnat == "ajouter") { ?>
+					<input type="text" name="saison" size="5" value="" />
+<?php } else { ?>
+					<input type="hidden" name="saison" value="<?=$_POST['saison']?>" />
+					<?=$_POST['saison']."/".($_POST['saison']+1)."\n"?>
+<?php } ?>
+				</td>
+			</tr>
+			<tr>
+				<td>Division</td>
+				<td>
+					:
+<?php if ($championnat == "ajouter") { ?>
+					<select name="div1">
+						<option value=""></option>
+<?php
+					foreach ($DIVISION as $n => $d) {
+						echo "\t\t\t\t\t\t<option value=\"$n\">$d</option>\n";
+					}
+?>
+					</select>
+					<input type="text" name="div2" size="3" value="" />
+<?php } else { ?>
+					<input type="hidden" name="div1" value="<?=$_POST['div1']?>" />
+					<input type="hidden" name="div2" value="<?=$_POST['div2']?>" />
+					<?=$_POST['div1'].$_POST['div2']."\n"?>
+<?php } ?>
+				</td>
+			</tr>
+<?php if ($championnat == "ajouter" || $_POST['poule']) { ?>
+			<tr>
+				<td>Poule</td>
+				<td>
+					:
+<?php if ($championnat == "ajouter") { ?>
+					<input type="text" name="poule" size="3" value="" />
+<?php } else { ?>
+					<input type="hidden" name="poule" value="<?=$_POST['poule']?>" />
+					<?=$_POST['poule']."\n"?>
+<?php } ?>
+				</td>
+			</tr>
+<?php } ?>
+<?php if ($championnat == "ajouter" || $_POST['phase']) { ?>
+			<tr>
+				<td>Phase</td>
+				<td>
+					:
+<?php if ($championnat == "ajouter") { ?>
+					<select name="phase">
+						<option value=""></option>
+						<option value="1">1</option>
+						<option value="2">2</option>
+					</select>
+<?php } else { ?>
+					<input type="hidden" name="phase" value="<?=$_POST['phase']?>" />
+					<?=$_POST['phase']."\n"?>
+<?php } ?>
+				</td>
+			</tr>
+<?php } ?>
+			<tr>
+				<td colspan="2">
+					Liste des &eacute;quipes :
+				</td>
+			</tr>
+			<tr>
+				<td colspan="2">
+					<textarea name="equipes" cols="30" rows="10"><?=$equipes?></textarea>
+				</td>
+			</tr>
+		</table>
+<?php if ($championnat == "ajouter") { ?>
+		<input type="submit" name="validation_championnat" value="ajouter" />
+<?php } ?>
+<?php if ($championnat == "modifier" ) { ?>
+		<input type="submit" name="validation_championnat" value="modifier" />
+<?php } ?>
+	</form>
+	<form name="admin" method="post" action="index.php">
+		<input type="hidden" name="saison" value="<?=$_POST['saison']?>" />
+		<input type="hidden" name="div1" value="<?=$_POST['div1']?>" />
+		<input type="hidden" name="div2" value="<?=$_POST['div2']?>" />
+		<input type="hidden" name="poule" value="<?=$_POST['poule']?>" />
+		<input type="hidden" name="phase" value="<?=$_POST['phase']?>" />
+		<input type="submit" value="annuler" />
+	</form>
+<?php } else if ($rencontre == "ajouter" || $rencontre == "modifier") { ?>
+	<form name="admin" method="post" action="<?=$_SERVER['PHP_SELF']?>">
+		<table border="0">
+			<tr>
+				<td colspan="3">
+					Journ&eacute;e<?=($rencontre == "modifier") ? " $journee\n" : "\n"?>
+<?php if ($rencontre == "ajouter") { ?>
+					<input type="text" name="journee" size="3" value="" />
+<?php } else { ?>
+					<input type="hidden" name="journee" value="<?=$journee?>" />
+<?php } ?>
+				</td>
+			</tr>
+			<tr>
+				<td>
+<?php if ($rencontre == "ajouter") { ?>
+					&Eacute;quipe &agrave; domicile :
+					<select name="domicile">
+						<option value=""></option>
+<?php
+						foreach ($equipes as $n => $e) {
+							echo "\t\t\t\t\t\t<option value=\"$n\"";
+							if ($domicile && $n == $domicile) echo " selected";
+							echo ">$e</option>\n";
+						}
+?>
+					</select>
+<?php } else { ?>
+					<input type="hidden" name="domicile" value="<?=$domicile?>" />
+					<?=$equipes[$domicile]."\n"?>
+<?php } ?>
+				</td>
+				<td> points : <input type="text" name="ptsDom" size="3" value="<?=$ptsDom?>" /></td>
+				<td> score : <input type="text" name="scoreDom" size="3" value="<?=$scoreDom?>" /></td>
+			</tr>
+			<tr>
+				<td>
+<?php if ($rencontre == "ajouter") { ?>
+					&Eacute;quipe &agrave; l'ext&eacute;rieure :
+					<select name="visiteur">
+						<option value=""></option>
+<?php
+						foreach ($equipes as $n => $e) {
+							echo "\t\t\t\t\t\t<option value=\"$n\"";
+							if ($visiteur && $n == $visiteur) echo " selected";
+							echo ">$e</option>\n";
+						}
+?>
+					</select>
+<?php } else { ?>
+					<input type="hidden" name="visiteur" value="<?=$visiteur?>" />
+					<?=$equipes[$visiteur]."\n"?>
+<?php } ?>
+				</td>
+				<td> points : <input type="text" name="ptsVis" size="3" value="<?=$ptsVis?>" /></td>
+				<td> score : <input type="text" name="scoreVis" size="3" value="<?=$scoreVis?>" /></td>
+			</tr>
+		</table>
+		<input type="hidden" name="saison" value="<?=$_POST['saison']?>" />
+		<input type="hidden" name="div1" value="<?=$_POST['div1']?>" />
+		<input type="hidden" name="div2" value="<?=$_POST['div2']?>" />
+		<input type="hidden" name="poule" value="<?=$_POST['poule']?>" />
+		<input type="hidden" name="phase" value="<?=$_POST['phase']?>" />
+<?php if ($rencontre == "ajouter") { ?>
+		<input type="submit" name="validation_rencontre" value="ajouter" />
+<?php } ?>
+<?php if ($rencontre == "modifier") { ?>
+		<input type="submit" name="validation_rencontre" value="modifier" />
+<?php } ?>
+	</form>
+	<form name="admin" method="post" action="index.php">
+		<input type="hidden" name="saison" value="<?=$_POST['saison']?>" />
+		<input type="hidden" name="div1" value="<?=$_POST['div1']?>" />
+		<input type="hidden" name="div2" value="<?=$_POST['div2']?>" />
+		<input type="hidden" name="poule" value="<?=$_POST['poule']?>" />
+		<input type="hidden" name="phase" value="<?=$_POST['phase']?>" />
+		<input type="submit" value="annuler" />
+	</form>
+<?php } else { ?>
+		<form name="admin" method="post" action="index.php">
+			<?=$message?>
+			<input type="hidden" name="saison" value="<?=$_POST['saison']?>" />
+			<input type="hidden" name="div1" value="<?=$_POST['div1']?>" />
+			<input type="hidden" name="div2" value="<?=$_POST['div2']?>" />
+			<input type="hidden" name="poule" value="<?=$_POST['poule']?>" />
+			<input type="hidden" name="phase" value="<?=$_POST['phase']?>" />
+			<input type="submit" value="continuer" />
+		</form>
+<?php } ?>
+</body>
+</html>
